
package it.posteitaliane.pec.archiver.wsclient.rapportodiversamento;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.logging.Logger;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.3-b02-
 * Generated source version: 2.1
 * 
 */
@WebServiceClient(name = "PosteDocWSService", targetNamespace = "urn:postecom", wsdlLocation = "file:/C:/DEV/SRC/postegestorepec/git-fincons/GPEC/Gpec/archiver/src/main/resources/versamentoWSDL.wsdl")
public class PosteDocWSService
    extends Service
{

    private final static URL POSTEDOCWSSERVICE_WSDL_LOCATION;
    private final static Logger logger = Logger.getLogger(it.posteitaliane.pec.archiver.wsclient.rapportodiversamento.PosteDocWSService.class.getName());

    static {
        URL url = null;
        try {
            URL baseUrl;
            baseUrl = it.posteitaliane.pec.archiver.wsclient.rapportodiversamento.PosteDocWSService.class.getResource(".");
            url = new URL(baseUrl, "file:/C:/DEV/SRC/postegestorepec/git-fincons/GPEC/Gpec/archiver/src/main/resources/versamentoWSDL.wsdl");
        } catch (MalformedURLException e) {
            logger.warning("Failed to create URL for the wsdl Location: 'file:/C:/DEV/SRC/postegestorepec/git-fincons/GPEC/Gpec/archiver/src/main/resources/versamentoWSDL.wsdl', retrying as a local file");
            logger.warning(e.getMessage());
        }
        POSTEDOCWSSERVICE_WSDL_LOCATION = url;
    }

    public PosteDocWSService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public PosteDocWSService() {
        super(POSTEDOCWSSERVICE_WSDL_LOCATION, new QName("urn:postecom", "PosteDocWSService"));
    }

    /**
     * 
     * @return
     *     returns PosteDocWS
     */
    @WebEndpoint(name = "PosteDocWS")
    public PosteDocWS getPosteDocWS() {
        return super.getPort(new QName("urn:postecom", "PosteDocWS"), PosteDocWS.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns PosteDocWS
     */
    @WebEndpoint(name = "PosteDocWS")
    public PosteDocWS getPosteDocWS(WebServiceFeature... features) {
        return super.getPort(new QName("urn:postecom", "PosteDocWS"), PosteDocWS.class, features);
    }

}
